__all__ = ['Mixer']


import logging

from .sdllibs import mixer_lib
from .sdlconstants import MIX_DEFAULT_FORMAT


log = logging.getLogger(__name__)


def init(frequency=44100, format=MIX_DEFAULT_FORMAT, channels=2, chunksize=1024):
    mixer_lib.Mix_OpenAudio(frequency, format, channels, chunksize)


def close():
    mixer_lib.Mix_CloseAudio()
