import gsdl2

gsdl2.init()

screen = gsdl2.display.set_mode((640, 480))
gsdl2.display.set_caption('02_event.py - Click the close-window button to exit')
clock = gsdl2.Clock()
fps = 33

block = gsdl2.surface.Surface((128, 128))
block.fill((255, 0, 0))
block_rect = block.get_rect()

running = True

while running:
    clock.tick(fps)

    for e in gsdl2.event.get():
        if e.type == gsdl2.sdl_lib.SDL_QUIT:
            running = False

    screen.fill((0, 0, 0))
    screen.blit(block, block_rect)
    gsdl2.display.flip()
